﻿/*
Deployment script for DataStore.Db.Authentication

This code was generated by a tool.
Changes to this file may cause incorrect behavior and will be lost if
the code is regenerated.
*/

GO
SET ANSI_NULLS, ANSI_PADDING, ANSI_WARNINGS, ARITHABORT, CONCAT_NULL_YIELDS_NULL, QUOTED_IDENTIFIER ON;

SET NUMERIC_ROUNDABORT OFF;


GO
:setvar DatabaseName "DataStore.Db.Authentication"
:setvar DefaultFilePrefix "DataStore.Db.Authentication"
:setvar DefaultDataPath "/var/opt/mssql/data/"
:setvar DefaultLogPath "/var/opt/mssql/data/"

GO
:on error exit
GO
/*
Detect SQLCMD mode and disable script execution if SQLCMD mode is not supported.
To re-enable the script after enabling SQLCMD mode, execute the following:
SET NOEXEC OFF; 
*/
:setvar __IsSqlCmdEnabled "True"
GO
IF N'$(__IsSqlCmdEnabled)' NOT LIKE N'True'
    BEGIN
        PRINT N'SQLCMD mode must be enabled to successfully execute this script.';
        SET NOEXEC ON;
    END


GO
USE [$(DatabaseName)];


GO
PRINT N'Altering SqlTable [dbo].[ApiConfiguration]...';


GO
ALTER TABLE [dbo].[ApiConfiguration]
    ADD [ExpiryDate] DATETIMEOFFSET (7) NULL;


GO
PRINT N'Altering SqlTable [dbo].[AspNetRoles]...';


GO
ALTER TABLE [dbo].[AspNetRoles]
    ADD [Description] NVARCHAR (MAX) NULL;


GO
PRINT N'Creating SqlTable [dbo].[RoleClaimNames]...';


GO
CREATE TABLE [dbo].[RoleClaimNames] (
    [Id]           UNIQUEIDENTIFIER NOT NULL,
    [Name]         NVARCHAR (250)   NOT NULL,
    [Category]     NVARCHAR (100)   NOT NULL,
    [FriendlyName] NVARCHAR (250)   NOT NULL,
    CONSTRAINT [PK_RoleClaimNames_1] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[RoleClaimPermissionLevel]...';


GO
CREATE TABLE [dbo].[RoleClaimPermissionLevel] (
    [Id]    UNIQUEIDENTIFIER NOT NULL,
    [Name]  NVARCHAR (100)   NOT NULL,
    [Level] INT              NULL,
    CONSTRAINT [PK_RoleClaimPermissionLevel] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[SingleSignOnRoleMappings]...';


GO
CREATE TABLE [dbo].[SingleSignOnRoleMappings] (
    [Id]             INT              IDENTITY (1, 1) NOT NULL,
    [SingleSignOnId] UNIQUEIDENTIFIER NOT NULL,
    [RoleId]         NVARCHAR (450)   NOT NULL,
    [MappedTo]       NVARCHAR (550)   NOT NULL,
    CONSTRAINT [PK_SingleSignOnRoleMappings] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlPrimaryKeyConstraint [dbo].[PK_SingleSignOn]...';


GO
ALTER TABLE [dbo].[SingleSignOn]
    ADD CONSTRAINT [PK_SingleSignOn] PRIMARY KEY CLUSTERED ([Id] ASC);


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_RoleClaimNames_Id]...';


GO
ALTER TABLE [dbo].[RoleClaimNames]
    ADD CONSTRAINT [DF_RoleClaimNames_Id] DEFAULT (newid()) FOR [Id];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_RoleClaimPermissionLevel_Id]...';


GO
ALTER TABLE [dbo].[RoleClaimPermissionLevel]
    ADD CONSTRAINT [DF_RoleClaimPermissionLevel_Id] DEFAULT (newid()) FOR [Id];


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_SingleSignOnRoleMappings_Roles]...';


GO
ALTER TABLE [dbo].[SingleSignOnRoleMappings] WITH NOCHECK
    ADD CONSTRAINT [FK_SingleSignOnRoleMappings_Roles] FOREIGN KEY ([RoleId]) REFERENCES [dbo].[AspNetRoles] ([Id]);


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_SingleSignOnRoleMappings_SingleSignOn]...';


GO
ALTER TABLE [dbo].[SingleSignOnRoleMappings] WITH NOCHECK
    ADD CONSTRAINT [FK_SingleSignOnRoleMappings_SingleSignOn] FOREIGN KEY ([SingleSignOnId]) REFERENCES [dbo].[SingleSignOn] ([Id]);


GO
/*
Post-Deployment Script Template
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be appended to the build script.
 Use SQLCMD syntax to include a file in the post-deployment script.
 Example:      :r .\myfile.sql
 Use SQLCMD syntax to reference a variable in the post-deployment script.
 Example:      :setvar TableName MyTable
               SELECT * FROM [$(TableName)]
--------------------------------------------------------------------------------------
*/

USE [$(DatabaseName)]
GO
/*
Post-Deployment Script Template
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be appended to the build script.
 Use SQLCMD syntax to include a file in the post-deployment script.
 Example:      :r .\myfile.sql
 Use SQLCMD syntax to reference a variable in the post-deployment script.
 Example:      :setvar TableName MyTable
               SELECT * FROM [$(TableName)]
--------------------------------------------------------------------------------------
*/


MERGE INTO [dbo].[Plans] AS Target
USING (VALUES
(N'e508cd3d-680f-46bc-a691-71841988a7c3', N'Free', 0, 1),
(N'6749e7a5-da15-47e2-918b-6a385e288865', N'Team', 10, 1),
(N'cdef0e60-409c-42a0-bad0-019766107a1f', N'Enterprise', 29, 1),
(N'9147fe5b-02e3-4b9a-b93f-0383e1c31010', N'Custom', 0, 0)
)
AS Source ([Id], [Name], [Price], [IsIncentiveEnabled])
ON Target.Id = Source.Id
--
WHEN MATCHED THEN
UPDATE SET
[Name] = Source.[Name],
[Price] = Source.[Price],
[IsIncentiveEnabled] = Source.[IsIncentiveEnabled]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([Id], [Name], [Price], [IsIncentiveEnabled])
VALUES ([Id], [Name], [Price], [IsIncentiveEnabled])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;


MERGE INTO [dbo].[SingleSignOnProviders] AS Target
USING (VALUES
(N'54118954-951f-41a9-b0a7-6de7d47e6c17', N'Microsoft Azure Active Directory', '{}'),
(N'd398d59f-5796-4684-af7c-741a6f04075d', N'Google Identity Toolkit', '{}'),
(N'50b45194-1215-491a-afe2-7b0f0070b46d', N'OneLogin', '{}'),
(N'6af19a35-f24d-4fba-8738-6d620384fedf', N'Okta', '{}'),
(N'b4297a43-6e13-46a1-84bd-580fa39d8b44', N'OpenID Connect', '{}')
)
AS Source ([Id], [Name], [RawGuide])
ON Target.Id = Source.Id
--
WHEN MATCHED THEN
UPDATE SET
[Name] = Source.[Name],
[RawGuide] = Source.[RawGuide]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([Id], [Name], [RawGuide])
VALUES ([Id], [Name], [RawGuide])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;

MERGE INTO [dbo].[AspNetRoles] AS Target
USING (VALUES
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'OrganizationAdmin', N'ORGANIZATIONADMIN', 'Administrator within an Organization in multi-tenancy environment'),
(N'E3DC9213-BF4B-48A2-AA1A-0CA42CB15381', N'Guest', N'GUEST', 'Guest User with minimal, read-only, permissions'),
(N'1073D96E-BA44-487D-937A-B729C7505EBE', N'OrganizationUser', N'ORGANIZATIONUSER', 'User within an Organization that can view all modules in a read-only manner, in a multi-tenancy environment'),
(N'3C606FAA-4B3D-4726-BDF8-68C31EB7C9E1', N'ReportManager', N'REPORTMANAGER', 'User that can generate reports for compliance matters such as breach, subject request, and retention'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'User', N'USER', 'User that can view all modules in a read-only manner, in a multi-tenancy environment'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'Admin', N'ADMIN', 'Administrator for the whole system, including multi-tenancy environment'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'DataSteward', N'DATASTEWARD', 'Role dedicated to cleaning data using Clean and Prepare modules'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'DataStewardAdministrator', N'DATASTEWARDADMINISTRATOR', 'Role responsible for approving changes made by Data Stewards'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'DataCompliance', N'DATACOMPLIANCE', 'Role responsible for daily operations around data compliance'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'DataComplianceAdministrator', N'DATACOMPLIANCEADMINISTRATOR', 'Role responsible for approving changes made by Data Compliance users'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'DataGovernance', N'DATAGOVERNANCE', 'Role responsible for monitoring and maintaining data quality'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'DataGovernanceAdministrator', N'DATAGOVERNANCEADMINISTRATOR', 'Role responsible for approving changes made by Data Governance users'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'DataArchitect', N'DATAARCHITECT', 'Role responsible for designing an Organizations enterprise data strategy')
)
AS Source ([Id], [Name], [NormalizedName], [Description])
ON Target.Id = Source.Id
--
WHEN MATCHED THEN
UPDATE SET
[Name] = Source.[Name],
[NormalizedName] = Source.[NormalizedName],
[Description] = Source.[Description]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([Id], [Name], [NormalizedName], [Description])
VALUES ([Id], [Name], [NormalizedName], [Description])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;

SET IDENTITY_INSERT [dbo].[Scopes] ON

MERGE INTO [dbo].[Scopes] AS Target
USING (VALUES
(1, 'clean:view'),
(2, 'clean:create'),
(3, 'clean:grantpermission'),
(4, 'clean:project:read'),
(5, 'clean:project:transform'),
(6, 'clean:project:commit'),
(7, 'clean:project:archive'),
(8, 'clean:project:unarchive')
)
AS Source ([Id], [Name])
ON Target.Id = Source.Id
--
WHEN MATCHED THEN
UPDATE SET
[Name] = Source.[Name]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([Id], [Name])
VALUES ([Id], [Name])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;
SET IDENTITY_INSERT [dbo].[Scopes] OFF

MERGE INTO [dbo].[RolesScopes] AS Target
USING (VALUES
(1, N'E2E93841-4311-4FF1-BD7F-172F633B06E3'),
(2, N'E2E93841-4311-4FF1-BD7F-172F633B06E3'),
(3, N'E2E93841-4311-4FF1-BD7F-172F633B06E3'),
(4, N'E2E93841-4311-4FF1-BD7F-172F633B06E3'),
(5, N'E2E93841-4311-4FF1-BD7F-172F633B06E3'),
(6, N'E2E93841-4311-4FF1-BD7F-172F633B06E3'),
(7, N'E2E93841-4311-4FF1-BD7F-172F633B06E3'),
(8, N'E2E93841-4311-4FF1-BD7F-172F633B06E3'),
(1, N'E99C35AC-D151-46AF-948C-31ACC028D4C5'),
(2, N'E99C35AC-D151-46AF-948C-31ACC028D4C5'),
(4, N'E99C35AC-D151-46AF-948C-31ACC028D4C5'),
(5, N'E99C35AC-D151-46AF-948C-31ACC028D4C5'),
(7, N'E99C35AC-D151-46AF-948C-31ACC028D4C5'),
(1, N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278'),
(2, N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278'),
(3, N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278'),
(4, N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278'),
(5, N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278'),
(6, N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278'),
(7, N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278'),
(8, N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278'),
(1, N'62579768-60DB-40F1-8833-DB6A6A40B79C'),
(2, N'62579768-60DB-40F1-8833-DB6A6A40B79C'),
(3, N'62579768-60DB-40F1-8833-DB6A6A40B79C'),
(4, N'62579768-60DB-40F1-8833-DB6A6A40B79C'),
(5, N'62579768-60DB-40F1-8833-DB6A6A40B79C'),
(6, N'62579768-60DB-40F1-8833-DB6A6A40B79C'),
(7, N'62579768-60DB-40F1-8833-DB6A6A40B79C'),
(8, N'62579768-60DB-40F1-8833-DB6A6A40B79C')
)
AS Source ([ScopeId], [RoleId])
ON Target.ScopeId = Source.ScopeId
--
-- WHEN MATCHED THEN
-- UPDATE SET
-- [Name] = Source.[Name]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([ScopeId], [RoleId])
VALUES ([ScopeId], [RoleId])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;

SET IDENTITY_INSERT [dbo].[AspNetUserClaims] OFF
GO

MERGE INTO [dbo].[RoleClaimNames] AS Target
USING (VALUES
(N'197302dc-9ee3-4cbd-9edd-983f14235e84', N'admin.users', N'Admin', N'Users'),
(N'b3c45853-8fe2-4dd7-aa62-b63dcc7eb7cc', N'admin.roles', N'Admin', N'Roles'),
(N'eb19b4d1-37d5-4147-8f85-e1a4c26d1d80', N'admin.entitytypes', N'Admin', N'Entity Types'),
(N'1b2c604d-90c4-478d-aed7-829e8a7e97ef', N'consume.streams', N'Consume', N'Streams'),
(N'69378dac-9564-41a9-819b-39e862dc9313', N'consume.graphql', N'Consume', N'Graph QL'),
(N'58b53caa-1a49-4743-a761-4e8090a250c9', N'consume.exporttargets', N'Consume', N'Export Targets'),
(N'b0eb3a3b-38e5-4465-b02b-115e509de320', N'governance.subjectaccessrequest', N'Governance', N'Subject Access Requests (S.A.R)'),
(N'b40fa446-77c2-4272-afac-22e10b623f20', N'governance.metrics', N'Governance', N'Metrics'),
(N'9F0143EC-F4E0-4554-AF89-85CB36F417C4', N'governance.settings', N'Governance', N'Settings'),
(N'A33F6783-446A-4994-80AB-7246586DC7B6', N'governance.consent', N'Governance', N'Consent'),
(N'69cf8124-9693-4211-9770-a4edd96c5e31', N'governance.dataretention', N'Governance', N'Data Retention'),
(N'870d8a21-af8c-460e-a0fa-ad9e756e700a', N'governance.databreach', N'Governance', N'Data Breach'),
(N'fec15e90-69d5-4a4d-a3b5-e5a28d1de19c', N'governance.personalidentifiers', N'Governance', N'Personal Identifiers'),
(N'8c3255e9-9713-4352-bdb9-8db97871f1b1', N'integration.availableintegrations', N'Integration', N'Available Integrations'),
(N'4519a8ae-50ca-4837-bc72-7e58070e6f7f', N'integration.configuredintegrations', N'Integration', N'Configured Integrations'),
(N'7f582d20-51c1-453e-a4ae-385479384cce', N'integration.enrichment', N'Integration', N'Enrichment'),
(N'0f8c93d0-b47b-4efe-96be-ce98d6242805', N'integration.datasourcegroups', N'Integration', N'Data Source Groups'),
(N'a1cb5ec3-31d5-40cc-9ae9-066915748c83', N'management.datacatalog', N'Management', N'Data Catalog'),
(N'92427bcd-c3c4-42bf-9467-2734292d5e83', N'management.rulebuilder', N'Management', N'Rule Builder'),
(N'b9b76e05-3744-4637-9a82-2c18faa1c008', N'management.glossary', N'Management', N'Glossary'),
(N'da571ed6-bbc5-4f47-b008-f59660805422', N'management.duplicates', N'Management', N'Duplicates'),
(N'e0fc93aa-2cb4-483e-83bd-be2b01752e47', N'management.annotation', N'Management', N'Annotation'),
(N'db8e4d9b-242f-4c46-b134-c6ee8752e302', N'preparation.clean', N'Preparation', N'Clean'),
(N'3aa22974-3802-4475-83d8-551ed971b7e5', N'engine.processing', N'Engine Room', N'Processing'),
(N'6248d3b7-372d-4920-a3c3-b7b744c74ff4', N'engine.statistics', N'Engine Room', N'Statistics'),
(N'34f6d73e-9eb5-4bed-a64a-5d96ea7bc792', N'engine.configurationgroups', N'Engine Room', N'Configuration Groups'),
(N'429cf833-a66d-4832-b37a-041c6429f79b', N'engine.jobs', N'Engine Room', N'Jobs')
)
AS Source ([Id], [Name], [Category], [FriendlyName])
ON Target.Id = Source.Id
--
WHEN MATCHED THEN
UPDATE SET [Name] = Source.[Name],[Category] = Source.[Category],[FriendlyName] = Source.[FriendlyName]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([Id], [Name], [Category], [FriendlyName]) VALUES (Source.[Id], Source.[Name], Source.[Category], Source.[FriendlyName])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;


MERGE INTO [dbo].[RoleClaimPermissionLevel] AS Target
USING (VALUES
(N'6b407150-048b-4e1e-bde3-6719220c882a', N'None', 0),
(N'bdc6263b-bc4d-4c17-b148-583b1e17c379', N'Informed', 1),
(N'c887d4be-8ca4-445e-a879-c9c6eb214c11', N'Consultant', 2),
(N'6942ff7b-5812-450a-8428-43fb55cf3833', N'Responsible', 3),
(N'c1b4d69b-81cd-4d68-bfde-9d29706bd766', N'Accountable', 4)
)
AS Source ([Id], [Name], [Level])
ON Target.Id = Source.Id
--
WHEN MATCHED THEN
UPDATE SET [Name] = Source.[Name],[Level] = Source.[Level]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([Id], [Name], [Level])
VALUES (Source.[Id], Source.[Name], Source.[Level])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;

MERGE INTO [dbo].[AspNetRoleClaims] AS Target
USING (VALUES
-- OrganizationAdmin
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'admin.roles', N'Accountable'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'admin.users', N'Accountable'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'admin.entitytypes', N'Accountable'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'consume.exporttargets', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'consume.graphql', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'consume.streams', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'governance.databreach', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'governance.dataretention', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'governance.metrics', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'governance.personalidentifiers', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'governance.subjectaccessrequest', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'governance.settings', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'governance.consent', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'integration.availableintegrations', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'integration.configuredintegrations', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'integration.datasourcegroups', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'integration.enrichment', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'management.annotation', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'management.datacatalog', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'management.duplicates', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'management.glossary', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'management.rulebuilder', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'preparation.clean', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'engine.processing', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'engine.statistics', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'engine.configurationgroups', N'Consultant'),
(N'62579768-60DB-40F1-8833-DB6A6A40B79C', N'engine.jobs', N'Consultant'),

-- Admin
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'admin.roles', N'Accountable'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'admin.users', N'Accountable'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'admin.entitytypes', N'Accountable'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'consume.exporttargets', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'consume.graphql', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'consume.streams', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'governance.databreach', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'governance.dataretention', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'governance.metrics', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'governance.personalidentifiers', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'governance.subjectaccessrequest', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'governance.consent', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'governance.settings', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'integration.availableintegrations', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'integration.configuredintegrations', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'integration.datasourcegroups', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'integration.enrichment', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'management.annotation', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'management.datacatalog', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'management.duplicates', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'management.glossary', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'management.rulebuilder', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'preparation.clean', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'engine.processing', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'engine.statistics', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'engine.configurationgroups', N'Consultant'),
(N'D782675D-5EF1-422F-BDBF-7AFBEEE5B278', N'engine.jobs', N'Consultant'),

-- User
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'admin.roles', N'None'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'admin.users', N'None'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'admin.entitytypes', N'None'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'consume.exporttargets', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'consume.graphql', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'consume.streams', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'governance.databreach', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'governance.dataretention', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'governance.metrics', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'governance.personalidentifiers', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'governance.subjectaccessrequest', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'governance.consent', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'governance.settings', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'integration.availableintegrations', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'integration.configuredintegrations', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'integration.datasourcegroups', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'integration.enrichment', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'management.annotation', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'management.datacatalog', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'management.duplicates', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'management.glossary', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'management.rulebuilder', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'preparation.clean', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'engine.processing', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'engine.statistics', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'engine.configurationgroups', N'Informed'),
(N'C791430A-964A-4FFB-8EB2-E78F02BAE0E6', N'engine.jobs', N'Informed'),

-- Data Steward
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'admin.roles', N'None'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'admin.users', N'None'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'admin.entitytypes', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'consume.exporttargets', N'Responsible'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'consume.graphql', N'Responsible'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'consume.streams', N'Responsible'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'governance.databreach', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'governance.dataretention', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'governance.metrics', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'governance.personalidentifiers', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'governance.subjectaccessrequest', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'governance.consent', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'governance.settings', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'integration.availableintegrations', N'Responsible'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'integration.configuredintegrations', N'Responsible'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'integration.datasourcegroups', N'Responsible'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'integration.enrichment', N'Responsible'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'management.annotation', N'Consultant'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'management.datacatalog', N'Consultant'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'management.duplicates', N'Consultant'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'management.glossary', N'Consultant'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'management.rulebuilder', N'Consultant'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'preparation.clean', N'Accountable'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'engine.processing', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'engine.statistics', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'engine.configurationgroups', N'Informed'),
(N'E99C35AC-D151-46AF-948C-31ACC028D4C5', N'engine.jobs', N'Informed'),

-- Data Steward Admin
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'admin.roles', N'None'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'admin.users', N'None'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'admin.entitytypes', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'consume.exporttargets', N'Accountable'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'consume.graphql', N'Accountable'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'consume.streams', N'Accountable'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'governance.databreach', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'governance.dataretention', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'governance.metrics', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'governance.personalidentifiers', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'governance.subjectaccessrequest', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'governance.consent', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'governance.settings', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'integration.availableintegrations', N'Accountable'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'integration.configuredintegrations', N'Accountable'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'integration.datasourcegroups', N'Accountable'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'integration.enrichment', N'Accountable'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'management.annotation', N'Consultant'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'management.datacatalog', N'Consultant'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'management.duplicates', N'Consultant'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'management.glossary', N'Consultant'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'management.rulebuilder', N'Consultant'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'preparation.clean', N'Accountable'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'engine.processing', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'engine.statistics', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'engine.configurationgroups', N'Informed'),
(N'E2E93841-4311-4FF1-BD7F-172F633B06E3', N'engine.jobs', N'Informed'),

-- Data Compliance
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'admin.roles', N'None'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'admin.users', N'None'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'admin.entitytypes', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'consume.exporttargets', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'consume.graphql', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'consume.streams', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'governance.databreach', N'Responsible'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'governance.dataretention', N'Responsible'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'governance.metrics', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'governance.personalidentifiers', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'governance.subjectaccessrequest', N'Responsible'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'governance.consent', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'governance.settings', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'integration.availableintegrations', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'integration.configuredintegrations', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'integration.datasourcegroups', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'integration.enrichment', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'management.annotation', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'management.datacatalog', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'management.duplicates', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'management.glossary', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'management.rulebuilder', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'preparation.clean', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'engine.processing', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'engine.statistics', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'engine.configurationgroups', N'Informed'),
(N'7AD5FC65-8650-4DF8-A692-562860861904', N'engine.jobs', N'Informed'),

-- Data Compliance Admin
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'admin.roles', N'None'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'admin.users', N'None'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'admin.entitytypes', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'consume.exporttargets', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'consume.graphql', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'consume.streams', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'governance.databreach', N'Accountable'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'governance.dataretention', N'Accountable'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'governance.metrics', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'governance.personalidentifiers', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'governance.subjectaccessrequest', N'Accountable'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'governance.consent', N'Accountable'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'governance.settings', N'Accountable'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'integration.availableintegrations', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'integration.configuredintegrations', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'integration.datasourcegroups', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'integration.enrichment', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'management.annotation', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'management.datacatalog', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'management.duplicates', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'management.glossary', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'management.rulebuilder', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'preparation.clean', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'engine.processing', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'engine.statistics', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'engine.configurationgroups', N'Informed'),
(N'762B4BC9-14AD-4C6D-B1C4-155FAC2EEEBF', N'engine.jobs', N'Informed'),

-- Data Governance
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'admin.roles', N'None'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'admin.users', N'None'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'admin.entitytypes', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'consume.exporttargets', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'consume.graphql', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'consume.streams', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'governance.databreach', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'governance.dataretention', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'governance.metrics', N'Responsible'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'governance.personalidentifiers', N'Responsible'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'governance.subjectaccessrequest', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'governance.consent', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'governance.settings', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'integration.availableintegrations', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'integration.configuredintegrations', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'integration.datasourcegroups', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'integration.enrichment', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'management.annotation', N'Responsible'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'management.datacatalog', N'Responsible'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'management.duplicates', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'management.glossary', N'Responsible'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'management.rulebuilder', N'Responsible'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'preparation.clean', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'engine.processing', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'engine.statistics', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'engine.configurationgroups', N'Informed'),
(N'3031ADF5-B00D-4DC5-BBA5-517B9B37C71F', N'engine.jobs', N'Informed'),

-- Data Governance Admin
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'admin.roles', N'None'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'admin.users', N'None'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'admin.entitytypes', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'consume.exporttargets', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'consume.graphql', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'consume.streams', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'governance.databreach', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'governance.dataretention', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'governance.metrics', N'Accountable'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'governance.personalidentifiers', N'Accountable'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'governance.subjectaccessrequest', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'governance.consent', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'governance.settings', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'integration.availableintegrations', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'integration.configuredintegrations', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'integration.datasourcegroups', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'integration.enrichment', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'management.annotation', N'Accountable'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'management.datacatalog', N'Accountable'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'management.duplicates', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'management.glossary', N'Accountable'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'management.rulebuilder', N'Accountable'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'preparation.clean', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'engine.processing', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'engine.statistics', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'engine.configurationgroups', N'Informed'),
(N'0F75559E-8328-458B-AC48-A09C64826DCF', N'engine.jobs', N'Informed'),

-- Data Architect
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'admin.roles', N'None'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'admin.users', N'None'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'admin.entitytypes', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'consume.exporttargets', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'consume.graphql', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'consume.streams', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'governance.databreach', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'governance.dataretention', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'governance.metrics', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'governance.personalidentifiers', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'governance.subjectaccessrequest', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'governance.consent', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'governance.settings', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'integration.availableintegrations', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'integration.configuredintegrations', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'integration.datasourcegroups', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'integration.enrichment', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'management.annotation', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'management.datacatalog', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'management.duplicates', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'management.glossary', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'management.rulebuilder', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'preparation.clean', N'Consultant'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'engine.processing', N'Informed'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'engine.statistics', N'Informed'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'engine.configurationgroups', N'Informed'),
(N'C81A6D96-1761-4651-8D43-2804ED71117B', N'engine.jobs', N'Informed')
)
AS Source ([RoleId], [ClaimType], [ClaimValue])
ON Target.RoleId = Source.RoleId and Target.ClaimType = Source.ClaimType
--
WHEN MATCHED THEN
UPDATE SET [RoleId] = Source.[RoleId], [ClaimType] = Source.[ClaimType], [ClaimValue] = source.[ClaimValue]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([RoleId], [ClaimType], [ClaimValue])
VALUES (source.[RoleId], source.[ClaimType], source.[ClaimValue])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;
GO

GO
PRINT N'Checking existing data against newly created constraints';


GO
USE [$(DatabaseName)];


GO
ALTER TABLE [dbo].[SingleSignOnRoleMappings] WITH CHECK CHECK CONSTRAINT [FK_SingleSignOnRoleMappings_Roles];

ALTER TABLE [dbo].[SingleSignOnRoleMappings] WITH CHECK CHECK CONSTRAINT [FK_SingleSignOnRoleMappings_SingleSignOn];


GO
PRINT N'Update complete.';


GO
