﻿/*
Deployment script for DataStore.Db.OpenCommunication

This code was generated by a tool.
Changes to this file may cause incorrect behavior and will be lost if
the code is regenerated.
*/

GO
SET ANSI_NULLS, ANSI_PADDING, ANSI_WARNINGS, ARITHABORT, CONCAT_NULL_YIELDS_NULL, QUOTED_IDENTIFIER ON;

SET NUMERIC_ROUNDABORT OFF;


GO
:setvar DatabaseName "DataStore.Db.OpenCommunication"
:setvar DefaultFilePrefix "DataStore.Db.OpenCommunication"
:setvar DefaultDataPath "/var/opt/mssql/data/"
:setvar DefaultLogPath "/var/opt/mssql/data/"

GO
:on error exit
GO
/*
Detect SQLCMD mode and disable script execution if SQLCMD mode is not supported.
To re-enable the script after enabling SQLCMD mode, execute the following:
SET NOEXEC OFF; 
*/
:setvar __IsSqlCmdEnabled "True"
GO
IF N'$(__IsSqlCmdEnabled)' NOT LIKE N'True'
    BEGIN
        PRINT N'SQLCMD mode must be enabled to successfully execute this script.';
        SET NOEXEC ON;
    END


GO
USE [$(DatabaseName)];


GO
/*
The column [dbo].[StreamIngestionLog].[Id] is being dropped, data loss could occur.
*/

IF EXISTS (select top 1 1 from [dbo].[StreamIngestionLog])
    RAISERROR (N'Rows were detected. The schema update is terminating because data loss might occur.', 16, 127) WITH NOWAIT

GO
PRINT N'Dropping SqlDefaultConstraint [dbo].[DF_StreamIngestionLog_Id]...';


GO
ALTER TABLE [dbo].[StreamIngestionLog] DROP CONSTRAINT [DF_StreamIngestionLog_Id];


GO
PRINT N'Dropping SqlForeignKeyConstraint [dbo].[FK_GlossaryRating_UserId]...';


GO
ALTER TABLE [dbo].[GlossaryRating] DROP CONSTRAINT [FK_GlossaryRating_UserId];


GO
PRINT N'Dropping SqlForeignKeyConstraint [dbo].[FK_GlossaryRating_GlossaryTerm]...';


GO
ALTER TABLE [dbo].[GlossaryRating] DROP CONSTRAINT [FK_GlossaryRating_GlossaryTerm];


GO
PRINT N'Dropping SqlPrimaryKeyConstraint [dbo].[PK_StreamIngestionLog]...';


GO
ALTER TABLE [dbo].[StreamIngestionLog] DROP CONSTRAINT [PK_StreamIngestionLog];


GO
PRINT N'Altering SqlTable [dbo].[GlossaryCategory]...';


GO
BEGIN TRANSACTION;

SET TRANSACTION ISOLATION LEVEL SERIALIZABLE;

SET XACT_ABORT ON;

ALTER TABLE [dbo].[GlossaryCategory]
    ADD [OwnedBy] NVARCHAR (450) NOT NULL, 
        CONSTRAINT [SD_GlossaryCategory_461984908acb4735a4cc241e7eb0d928] DEFAULT N'' FOR [OwnedBy];

ALTER TABLE [dbo].[GlossaryCategory] DROP CONSTRAINT [SD_GlossaryCategory_461984908acb4735a4cc241e7eb0d928];

COMMIT TRANSACTION;

SET TRANSACTION ISOLATION LEVEL READ COMMITTED;


GO
PRINT N'Altering SqlTable [dbo].[GlossaryEndorsement]...';


GO
BEGIN TRANSACTION;

SET TRANSACTION ISOLATION LEVEL SERIALIZABLE;

SET XACT_ABORT ON;

ALTER TABLE [dbo].[GlossaryEndorsement]
    ADD [OwnedBy] NVARCHAR (450) NOT NULL, 
        CONSTRAINT [SD_GlossaryEndorsement_dd4f8590d37346c7ba997c929b21f6ab] DEFAULT N'' FOR [OwnedBy];

ALTER TABLE [dbo].[GlossaryEndorsement] DROP CONSTRAINT [SD_GlossaryEndorsement_dd4f8590d37346c7ba997c929b21f6ab];

COMMIT TRANSACTION;

SET TRANSACTION ISOLATION LEVEL READ COMMITTED;


GO
PRINT N'Starting rebuilding table [dbo].[GlossaryRating]...';


GO
BEGIN TRANSACTION;

SET TRANSACTION ISOLATION LEVEL SERIALIZABLE;

SET XACT_ABORT ON;

CREATE TABLE [dbo].[tmp_ms_xx_GlossaryRating] (
    [Id]             UNIQUEIDENTIFIER CONSTRAINT [DF_GlossaryRating_Id] DEFAULT (newid()) NOT NULL,
    [GlossaryTermId] UNIQUEIDENTIFIER NOT NULL,
    [UserId]         UNIQUEIDENTIFIER NOT NULL,
    [Rating]         INT              NOT NULL,
    [OwnedBy]        NVARCHAR (450)   NOT NULL,
    CONSTRAINT [tmp_ms_xx_constraint_IX_GlossaryRating1] UNIQUE NONCLUSTERED ([GlossaryTermId] ASC, [UserId] ASC),
    CONSTRAINT [tmp_ms_xx_constraint_PK_GlossaryRating1] PRIMARY KEY CLUSTERED ([Id] ASC)
);

ALTER TABLE [dbo].[tmp_ms_xx_GlossaryRating]
    ADD CONSTRAINT [SD_GlossaryRating_68f4ffa39df04860acfe7e2884216d87] DEFAULT N'' FOR [OwnedBy];

IF EXISTS (SELECT TOP 1 1 
           FROM   [dbo].[GlossaryRating])
    BEGIN
        INSERT INTO [dbo].[tmp_ms_xx_GlossaryRating] ([GlossaryTermId], [UserId], [Rating])
        SELECT [GlossaryTermId],
               [UserId],
               [Rating]
        FROM   [dbo].[GlossaryRating];
    END

ALTER TABLE [dbo].[tmp_ms_xx_GlossaryRating] DROP CONSTRAINT [SD_GlossaryRating_68f4ffa39df04860acfe7e2884216d87];

DROP TABLE [dbo].[GlossaryRating];

EXECUTE sp_rename N'[dbo].[tmp_ms_xx_GlossaryRating]', N'GlossaryRating';

EXECUTE sp_rename N'[dbo].[tmp_ms_xx_constraint_IX_GlossaryRating1]', N'IX_GlossaryRating', N'OBJECT';

EXECUTE sp_rename N'[dbo].[tmp_ms_xx_constraint_PK_GlossaryRating1]', N'PK_GlossaryRating', N'OBJECT';

COMMIT TRANSACTION;

SET TRANSACTION ISOLATION LEVEL READ COMMITTED;


GO
PRINT N'Altering SqlTable [dbo].[GlossaryTag]...';


GO
BEGIN TRANSACTION;

SET TRANSACTION ISOLATION LEVEL SERIALIZABLE;

SET XACT_ABORT ON;

ALTER TABLE [dbo].[GlossaryTag]
    ADD [OwnedBy] NVARCHAR (450) NOT NULL, 
        CONSTRAINT [SD_GlossaryTag_47cd6871c7474dccacc19f5a9620f319] DEFAULT N'' FOR [OwnedBy];

ALTER TABLE [dbo].[GlossaryTag] DROP CONSTRAINT [SD_GlossaryTag_47cd6871c7474dccacc19f5a9620f319];

COMMIT TRANSACTION;

SET TRANSACTION ISOLATION LEVEL READ COMMITTED;


GO
PRINT N'Altering SqlTable [dbo].[GlossaryTermLexicon]...';


GO
BEGIN TRANSACTION;

SET TRANSACTION ISOLATION LEVEL SERIALIZABLE;

SET XACT_ABORT ON;

ALTER TABLE [dbo].[GlossaryTermLexicon]
    ADD [OwnedBy] NVARCHAR (450) NOT NULL, 
        CONSTRAINT [SD_GlossaryTermLexicon_3099963fd8e642da8720f8498ae3239f] DEFAULT N'' FOR [OwnedBy];

ALTER TABLE [dbo].[GlossaryTermLexicon] DROP CONSTRAINT [SD_GlossaryTermLexicon_3099963fd8e642da8720f8498ae3239f];

COMMIT TRANSACTION;

SET TRANSACTION ISOLATION LEVEL READ COMMITTED;


GO
PRINT N'Altering SqlTable [dbo].[StreamIngestionLog]...';


GO
ALTER TABLE [dbo].[StreamIngestionLog] DROP COLUMN [Id];


GO
PRINT N'Creating SqlIndex [dbo].[StreamIngestionLog].[_dta_index_StreamIngestionLog_12_1237579447__K3]...';


GO
CREATE NONCLUSTERED INDEX [_dta_index_StreamIngestionLog_12_1237579447__K3]
    ON [dbo].[StreamIngestionLog]([EntityId] ASC);


GO
PRINT N'Creating SqlIndex [dbo].[StreamIngestionLog].[_dta_index_StreamIngestionLog_12_1237579447__K3_K2]...';


GO
CREATE NONCLUSTERED INDEX [_dta_index_StreamIngestionLog_12_1237579447__K3_K2]
    ON [dbo].[StreamIngestionLog]([EntityId] ASC, [StreamId] ASC);


GO
PRINT N'Creating SqlIndex [dbo].[StreamIngestionLog].[_dta_index_StreamIngestionLog_12_1237579447__K3_K6]...';


GO
CREATE NONCLUSTERED INDEX [_dta_index_StreamIngestionLog_12_1237579447__K3_K6]
    ON [dbo].[StreamIngestionLog]([EntityId] ASC, [DateSent] ASC);


GO
PRINT N'Altering SqlTable [dbo].[Streams]...';


GO
BEGIN TRANSACTION;

SET TRANSACTION ISOLATION LEVEL SERIALIZABLE;

SET XACT_ABORT ON;

ALTER TABLE [dbo].[Streams]
    ADD [OwnedBy]             NVARCHAR (450) NOT NULL,
        [ExportIncomingEdges] BIT            CONSTRAINT [DF_Streams_ExportIncomingEdges] DEFAULT ((0)) NOT NULL,
        [ExportOutgoingEdges] BIT            CONSTRAINT [DF_Streams_ExportOutgoingEdges] DEFAULT ((0)) NOT NULL, 
        CONSTRAINT [SD_Streams_a8d6b2d9cf354781b52cd096c88582c7] DEFAULT N'' FOR [OwnedBy];

ALTER TABLE [dbo].[Streams] DROP CONSTRAINT [SD_Streams_a8d6b2d9cf354781b52cd096c88582c7];

COMMIT TRANSACTION;

SET TRANSACTION ISOLATION LEVEL READ COMMITTED;


GO
PRINT N'Creating SqlTable [dbo].[DuplicateDetectionProject]...';


GO
CREATE TABLE [dbo].[DuplicateDetectionProject] (
    [Id]             UNIQUEIDENTIFIER   NOT NULL,
    [Name]           NVARCHAR (100)     NOT NULL,
    [CreatedBy]      NVARCHAR (450)     NOT NULL,
    [CreatedDate]    DATETIMEOFFSET (7) NOT NULL,
    [OrganizationId] UNIQUEIDENTIFIER   NOT NULL,
    [ModifiedBy]     NVARCHAR (450)     NULL,
    [ModifiedDate]   DATETIMEOFFSET (7) NULL,
    PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[DuplicateDetectionProjectRule]...';


GO
CREATE TABLE [dbo].[DuplicateDetectionProjectRule] (
    [Id]                          UNIQUEIDENTIFIER   NOT NULL,
    [MatchType]                   INT                NOT NULL,
    [RuleType]                    INT                NOT NULL,
    [DuplicateDetectionProjectId] UNIQUEIDENTIFIER   NOT NULL,
    [Name]                        NVARCHAR (100)     NOT NULL,
    [EntityType]                  NVARCHAR (100)     NULL,
    [CreatedBy]                   NVARCHAR (450)     NOT NULL,
    [CreatedDate]                 DATETIMEOFFSET (7) NOT NULL,
    [ModifiedBy]                  NVARCHAR (450)     NULL,
    [ModifiedDate]                DATETIMEOFFSET (7) NULL,
    PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[DuplicateDetectionProjectRuleVocabularyKey]...';


GO
CREATE TABLE [dbo].[DuplicateDetectionProjectRuleVocabularyKey] (
    [Id]                              UNIQUEIDENTIFIER NOT NULL,
    [VocabularyKey]                   NVARCHAR (MAX)   NOT NULL,
    [DuplicateDetectionProjectRuleId] UNIQUEIDENTIFIER NOT NULL,
    PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[TaskOwners]...';


GO
CREATE TABLE [dbo].[TaskOwners] (
    [Id]     UNIQUEIDENTIFIER NOT NULL,
    [TaskId] UNIQUEIDENTIFIER NOT NULL,
    [UserId] UNIQUEIDENTIFIER NOT NULL,
    CONSTRAINT [PK_TaskOwners] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[Tasks]...';


GO
CREATE TABLE [dbo].[Tasks] (
    [Id]             UNIQUEIDENTIFIER NOT NULL,
    [CreatedBy]      NVARCHAR (450)   NULL,
    [IsComplete]     BIT              NOT NULL,
    [CreatedAt]      DATETIME2 (7)    NOT NULL,
    [CompletedAt]    DATETIME2 (7)    NULL,
    [Title]          NVARCHAR (1000)  NOT NULL,
    [Description]    NVARCHAR (MAX)   NULL,
    [TaskTypeId]     UNIQUEIDENTIFIER NOT NULL,
    [OrganizationId] UNIQUEIDENTIFIER NULL,
    [ObjectTypeId]   UNIQUEIDENTIFIER NULL,
    [ObjectId]       NVARCHAR (MAX)   NULL,
    CONSTRAINT [PK_Tasks] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[TasksApproval]...';


GO
CREATE TABLE [dbo].[TasksApproval] (
    [Id]              UNIQUEIDENTIFIER NOT NULL,
    [TaskId]          UNIQUEIDENTIFIER NOT NULL,
    [ChangesMade]     NVARCHAR (MAX)   NULL,
    [Payload]         NVARCHAR (MAX)   NULL,
    [IsApproved]      BIT              NULL,
    [ApprovalTypeId]  UNIQUEIDENTIFIER NULL,
    [ReviewedAt]      DATETIME         NULL,
    [ReviewedBy]      NVARCHAR (450)   NULL,
    [IsRejected]      BIT              NULL,
    [RejectionReason] NVARCHAR (MAX)   NULL,
    [ChangeType]      NVARCHAR (50)    NULL,
    [IsFailed]        BIT              NULL,
    [FailedReason]    NVARCHAR (MAX)   NULL,
    CONSTRAINT [PK_TasksApproval] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[TasksCleanProject]...';


GO
CREATE TABLE [dbo].[TasksCleanProject] (
    [Id]             UNIQUEIDENTIFIER NOT NULL,
    [TaskId]         UNIQUEIDENTIFIER NOT NULL,
    [CleanProjectId] UNIQUEIDENTIFIER NOT NULL,
    [Payload]        NVARCHAR (MAX)   NULL,
    CONSTRAINT [PK_TasksCleanProject] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[TasksDuplicate]...';


GO
CREATE TABLE [dbo].[TasksDuplicate] (
    [Id]          UNIQUEIDENTIFIER NOT NULL,
    [TaskId]      UNIQUEIDENTIFIER NOT NULL,
    [DuplicateId] UNIQUEIDENTIFIER NOT NULL,
    [Payload]     NVARCHAR (MAX)   NULL,
    CONSTRAINT [PK_TasksDuplicate] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[TasksMesh]...';


GO
CREATE TABLE [dbo].[TasksMesh] (
    [Id]      UNIQUEIDENTIFIER NOT NULL,
    [TaskId]  UNIQUEIDENTIFIER NOT NULL,
    [MeshId]  UNIQUEIDENTIFIER NOT NULL,
    [Payload] NVARCHAR (MAX)   NULL,
    CONSTRAINT [PK_TasksMesh] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlTable [dbo].[TasksRoleRequest]...';


GO
CREATE TABLE [dbo].[TasksRoleRequest] (
    [Id]              UNIQUEIDENTIFIER NOT NULL,
    [TaskId]          UNIQUEIDENTIFIER NOT NULL,
    [RequestedBy]     NVARCHAR (450)   NOT NULL,
    [RequestedClaim]  NVARCHAR (100)   NOT NULL,
    [IsApproved]      BIT              NULL,
    [ReviewedAt]      DATETIME         NULL,
    [ReviewedBy]      NVARCHAR (450)   NULL,
    [IsRejected]      BIT              NULL,
    [RejectionReason] NVARCHAR (MAX)   NULL,
    [RoleGiven]       NVARCHAR (100)   NULL,
    CONSTRAINT [PK_TaskRoleRequest] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating SqlDefaultConstraint unnamed constraint on [dbo].[DuplicateDetectionProject]...';


GO
ALTER TABLE [dbo].[DuplicateDetectionProject]
    ADD DEFAULT (getdate()) FOR [CreatedDate];


GO
PRINT N'Creating SqlDefaultConstraint unnamed constraint on [dbo].[DuplicateDetectionProjectRule]...';


GO
ALTER TABLE [dbo].[DuplicateDetectionProjectRule]
    ADD DEFAULT (getdate()) FOR [CreatedDate];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_TaskOwners_Id]...';


GO
ALTER TABLE [dbo].[TaskOwners]
    ADD CONSTRAINT [DF_TaskOwners_Id] DEFAULT (newid()) FOR [Id];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_Tasks_CreatedAt]...';


GO
ALTER TABLE [dbo].[Tasks]
    ADD CONSTRAINT [DF_Tasks_CreatedAt] DEFAULT (getdate()) FOR [CreatedAt];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_Tasks_Id]...';


GO
ALTER TABLE [dbo].[Tasks]
    ADD CONSTRAINT [DF_Tasks_Id] DEFAULT (newid()) FOR [Id];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_Tasks_IsComplete]...';


GO
ALTER TABLE [dbo].[Tasks]
    ADD CONSTRAINT [DF_Tasks_IsComplete] DEFAULT ((0)) FOR [IsComplete];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_TasksApproval_IsFailed]...';


GO
ALTER TABLE [dbo].[TasksApproval]
    ADD CONSTRAINT [DF_TasksApproval_IsFailed] DEFAULT ((0)) FOR [IsFailed];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_TasksApproval_Id]...';


GO
ALTER TABLE [dbo].[TasksApproval]
    ADD CONSTRAINT [DF_TasksApproval_Id] DEFAULT (newid()) FOR [Id];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_TasksApproval_IsApproved]...';


GO
ALTER TABLE [dbo].[TasksApproval]
    ADD CONSTRAINT [DF_TasksApproval_IsApproved] DEFAULT ((0)) FOR [IsApproved];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_TasksCleanProject_Id]...';


GO
ALTER TABLE [dbo].[TasksCleanProject]
    ADD CONSTRAINT [DF_TasksCleanProject_Id] DEFAULT (newid()) FOR [Id];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_TasksDuplicate_Id]...';


GO
ALTER TABLE [dbo].[TasksDuplicate]
    ADD CONSTRAINT [DF_TasksDuplicate_Id] DEFAULT (newid()) FOR [Id];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_TasksMesh_Id]...';


GO
ALTER TABLE [dbo].[TasksMesh]
    ADD CONSTRAINT [DF_TasksMesh_Id] DEFAULT (newid()) FOR [Id];


GO
PRINT N'Creating SqlDefaultConstraint [dbo].[DF_TaskRoleRequest_Id]...';


GO
ALTER TABLE [dbo].[TasksRoleRequest]
    ADD CONSTRAINT [DF_TaskRoleRequest_Id] DEFAULT (newid()) FOR [Id];


GO
PRINT N'Creating SqlStatistic [dbo].[StreamIngestionLog].[_dta_stat_1237579447_2_3]...';


GO
CREATE STATISTICS [_dta_stat_1237579447_2_3]
    ON [dbo].[StreamIngestionLog]([StreamId], [EntityId]);


GO
PRINT N'Creating SqlStatistic [dbo].[StreamIngestionLog].[_dta_stat_1237579447_6_3]...';


GO
CREATE STATISTICS [_dta_stat_1237579447_6_3]
    ON [dbo].[StreamIngestionLog]([DateSent], [EntityId]);


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_GlossaryRating_UserId]...';


GO
ALTER TABLE [dbo].[GlossaryRating] WITH NOCHECK
    ADD CONSTRAINT [FK_GlossaryRating_UserId] FOREIGN KEY ([UserId]) REFERENCES [dbo].[UserProfile] ([Id]) ON DELETE CASCADE;


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_GlossaryRating_GlossaryTerm]...';


GO
ALTER TABLE [dbo].[GlossaryRating] WITH NOCHECK
    ADD CONSTRAINT [FK_GlossaryRating_GlossaryTerm] FOREIGN KEY ([GlossaryTermId]) REFERENCES [dbo].[GlossaryTerm] ([Id]) ON DELETE CASCADE;


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_DuplicateDetectionProjectRule_DuplicateDetectionProject]...';


GO
ALTER TABLE [dbo].[DuplicateDetectionProjectRule] WITH NOCHECK
    ADD CONSTRAINT [FK_DuplicateDetectionProjectRule_DuplicateDetectionProject] FOREIGN KEY ([DuplicateDetectionProjectId]) REFERENCES [dbo].[DuplicateDetectionProject] ([Id]);


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_DuplicateDetectionProjectRuleVocabularyKey_DuplicateDetectionProjectRule]...';


GO
ALTER TABLE [dbo].[DuplicateDetectionProjectRuleVocabularyKey] WITH NOCHECK
    ADD CONSTRAINT [FK_DuplicateDetectionProjectRuleVocabularyKey_DuplicateDetectionProjectRule] FOREIGN KEY ([DuplicateDetectionProjectRuleId]) REFERENCES [dbo].[DuplicateDetectionProjectRule] ([Id]);


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_TaskOwners_Tasks]...';


GO
ALTER TABLE [dbo].[TaskOwners] WITH NOCHECK
    ADD CONSTRAINT [FK_TaskOwners_Tasks] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Tasks] ([Id]);


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_TasksApproval_Tasks]...';


GO
ALTER TABLE [dbo].[TasksApproval] WITH NOCHECK
    ADD CONSTRAINT [FK_TasksApproval_Tasks] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Tasks] ([Id]);


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_TasksCleanProject_Tasks]...';


GO
ALTER TABLE [dbo].[TasksCleanProject] WITH NOCHECK
    ADD CONSTRAINT [FK_TasksCleanProject_Tasks] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Tasks] ([Id]);


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_TasksDuplicate_Tasks]...';


GO
ALTER TABLE [dbo].[TasksDuplicate] WITH NOCHECK
    ADD CONSTRAINT [FK_TasksDuplicate_Tasks] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Tasks] ([Id]);


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_TasksMesh_Tasks]...';


GO
ALTER TABLE [dbo].[TasksMesh] WITH NOCHECK
    ADD CONSTRAINT [FK_TasksMesh_Tasks] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Tasks] ([Id]);


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_TaskRoleRequest_Tasks]...';


GO
ALTER TABLE [dbo].[TasksRoleRequest] WITH NOCHECK
    ADD CONSTRAINT [FK_TaskRoleRequest_Tasks] FOREIGN KEY ([TaskId]) REFERENCES [dbo].[Tasks] ([Id]);


GO
PRINT N'Creating SqlForeignKeyConstraint [dbo].[FK_GlossaryCategory_GlossaryCategory]...';


GO
ALTER TABLE [dbo].[GlossaryCategory] WITH NOCHECK
    ADD CONSTRAINT [FK_GlossaryCategory_GlossaryCategory] FOREIGN KEY ([Id]) REFERENCES [dbo].[GlossaryCategory] ([Id]);


GO
/*
Post-Deployment Script Template
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be appended to the build script.
 Use SQLCMD syntax to include a file in the post-deployment script.
 Example:      :r .\myfile.sql
 Use SQLCMD syntax to reference a variable in the post-deployment script.
 Example:      :setvar TableName MyTable
               SELECT * FROM [$(TableName)]
--------------------------------------------------------------------------------------
*/

USE [$(DatabaseName)];
GO

--TRUNCATE TABLE Message
--GO


--Merge Plans data

MERGE INTO [dbo].[Plans] AS Target
USING (VALUES
 (N'e508cd3d-680f-46bc-a691-71841988a7c3', N'Free', 0, 1, 500000000, 5),
 (N'6749e7a5-da15-47e2-918b-6a385e288865', N'Team', 9, 1, 2000000000, 10000000),
 (N'cdef0e60-409c-42a0-bad0-019766107a1f', N'Enterprise', 29, 1, 2000000000, 10000000),
 (N'9147fe5b-02e3-4b9a-b93f-0383e1c31010', N'Custom', 0, 0, 2000000000, 10000000)
)
AS Source ([Id], [Name], [Price], [IsIncentiveEnabled], [DataLimit], [UserLimit])
ON Target.Id = Source.Id
--
WHEN MATCHED THEN
UPDATE SET
Name = Source.Name,
Price = Source.Price,
IsIncentiveEnabled = Source.IsIncentiveEnabled,
DataLimit = Source.DataLimit,
UserLimit = Source.UserLimit
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([Id], [Name], [Price], [IsIncentiveEnabled], [DataLimit], [UserLimit])
VALUES ([Id], [Name], [Price], [IsIncentiveEnabled], [DataLimit], [UserLimit])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;

-- MERGE Provider data
MERGE INTO [dbo].[Provider] AS Target
USING (VALUES
('f084eae7-6df4-4ff6-baed-082419bcc328', N'Custom  WebHooks', 0, 1, N'Our Custom WebHooks Integration will allow you to integrate CluedIn with other systems.', N'cloud', N'https://s3.eu-central-1.amazonaws.com/cluedintest/zapier.png', N'http://proget.cerebro.technology/zapier', 'Data', '{ "actions": [ { "name" : "start", "action": "javascript function"}, { "name" : "share", "action": "javascript function for share"} ] }', '{ "Instructions": "You will need to login in your Marketo account and get the Api Token and App Id and paste it in below.",  "Value": ["Unify all communication from Aircall with communication in all other channels.", "Call your customers directly from within CluedIn."],"Details": "Our Aircall integration allows you to track phonecall and sms activity with your customers." }')
)
AS Source ([ID], [Name], [Active],[Plan], [Details], [Type], [Logo], [PullLink], [Category], [Configuration], [RawGuide])
ON Target.ID = Source.ID
--
WHEN MATCHED THEN
UPDATE SET
[Name] = Source.[Name],
[Active] = Source.[Active],
[Plan] = Source.[Plan],
[Details] = Source.[Details],
[Type] = Source.[Type],
[Logo] = Source.[Logo],
[PullLink] = Source.[PullLink],
[Category] = Source.[Category],
[Configuration] = Source.[Configuration],
[RawGuide] = Source.[RawGuide]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([ID], [Name], [Active],[Plan], [Details], [Type], [Logo], [PullLink], [Category], [Configuration], [RawGuide])
VALUES ([ID], [Name], [Active],[Plan], [Details], [Type], [Logo], [PullLink], [Category], [Configuration], [RawGuide])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;


--Merge Agent data

MERGE INTO [dbo].[Agent] AS Target
USING (VALUES
(N'CD71757D-17A1-4D85-92B3-F525DA611AE2', NULL, N'!2qwaszx12345', '1900-01-01 00:00'),
(N'6CF17140-0FB0-47C5-AAAA-9A40A0ECF8BA', N'02712a2b-b36a-4f11-95ba-d1850a311419', N'!2qwaszx12346', '1900-01-01 00:00')
)
AS Source ([Id], [AccountId], ApiKey, LastPing)
ON Target.Id = Source.Id
--
WHEN MATCHED THEN
UPDATE SET
AccountId = Source.AccountId,
ApiKey = Source.ApiKey
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([Id], [AccountId], ApiKey, LastPing)
VALUES ([Id], [AccountId], ApiKey, LastPing)
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;


MERGE INTO [dbo].[AgentGroup] AS Target
USING (VALUES
(N'D1238808-B8D4-4FD3-A5F7-959F5A1895A2', N'All Agents')
)
AS Source ([Id], [Name])
ON Target.Id = Source.Id
--
WHEN MATCHED THEN
UPDATE SET
[Name] = Source.[Name]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([Id], [Name])
VALUES ([Id], [Name])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;

MERGE INTO [dbo].[Agent_AgentGroup] AS Target
USING (VALUES
(N'CD71757D-17A1-4D85-92B3-F525DA611AE2', N'D1238808-B8D4-4FD3-A5F7-959F5A1895A2'),
(N'6CF17140-0FB0-47C5-AAAA-9A40A0ECF8BA', N'D1238808-B8D4-4FD3-A5F7-959F5A1895A2')
)
AS Source ([AgentId], [AgentGroupId])
ON Target.AgentId = Source.AgentId
--
WHEN MATCHED THEN
UPDATE SET
[AgentId] = Source.[AgentId],
[AgentGroupId] = Source.[AgentGroupId]
--
WHEN NOT MATCHED BY TARGET THEN
INSERT ([AgentId], [AgentGroupId])
VALUES ([AgentId], [AgentGroupId])
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;

-- Merge EntityType table

MERGE INTO [dbo].[EntityType] AS Target
USING (VALUES
('2ea6b2db-c8f9-4c2f-a9ed-cf9f473ba681','Issue','Support Ticket','/Support/Ticket',NULL,1,'document'),
('4d895454-d65c-4db8-b464-699b3d2d14ae','Issue','Support Entitlement','/Support/Entitlement',NULL,1,'document'),
('a1a61803-6c68-45bc-8663-53aa63b4e859','Backlogitem','Accounting','/Accounting',NULL,1,NULL),
('6b79c2fa-49c8-4749-a7e3-3c6ade43dcd1','Group','Accounting Group','/Accounting/Group',NULL,1,NULL),
('943e0df5-9db0-46c7-b912-7fd4d6218f2e','Backlogitem','Accounting CostCenter','/Accounting/CostCenter',NULL,1,NULL),
('731b75db-0837-44ee-8d2e-8d1beca26391','Group','Group Policy','/Infrastructure/Policy','infrapolicy/:id',1,NULL),
('86e3e0b6-2bb4-4806-b44f-6b8726e95a8c','Sitemap','Network address','/Infrastructure/NetworkAddress','networkaddress/:id',1,NULL),
('0beb036c-0bd3-4dc0-af7f-d939a7f12ad4','Directory','Directory Item','/Infrastructure/DirectoryItem','directoryitem/:id',1,NULL),
('dcb8a904-3ac7-4fd7-a8c1-455fb6b8dd9b','Sales','Credit Card','/Payment/Card/CreditCard','creditcard/:id',1,NULL),
('390c25a3-29e9-4b99-94db-f2199f656808','Sales','Bank Account','/Finance/BankAccount','bankaccount/:id',1,NULL),
('3ec0edc5-d383-47ee-a0ed-269a5bf2e2bd','Process','ProcessStage','/ProcessStage',NULL,1, NULL),
('9c03b2ac-4bc9-421c-82cf-529c203f4242','Organization','Organization','/Organization','organization/:id',1,'organization'),
('17441a60-d98d-408e-90d7-65ec772d3678','Spreadsheet','Spreadsheet','/Document/Spreadsheet','document/:id',1,'document'),
('bbf4e2d5-a58c-41a6-bc0b-e1774a6df69f','Comment','Document Discussion','/Document/Discussion','discussion/:id',1,'discussion'),
('c32977f0-f40e-4e0f-9c37-6d4fdc4c3f38','User','User','/Infrastructure/User','user/:id',1,'person'),
('e1258684-f941-42eb-ae8e-13971ea54d18','User','Person','/Person','person/:id',1,'person'),
('9dff40b4-e8d5-43bc-bb7b-9927b15dca8f','File','File','/Files/File','document/:id',1,'document'),
('0171976e-c1eb-47d6-b2d8-12857f4dd32e','Directory','Directory','/Files/Directory','directory/:id',1,NULL),
('62ddd7f0-bf3f-431b-b11e-9a92036e5003','Presentation','Presentation','/Document/Presentation','presentation/:id',1,'document'),
('bd85ccc1-92f5-48cb-983d-ddb57e249eb6','File','Document','/Document/Document','document/:id',1,'document'),
('aad6f5e2-1de3-40d3-8e33-0b2502e086b4','File','Document','/Document','doc/:id',1,'document'),
('b972e4af-aabc-4dd1-a177-b8d93b641711','Picture','Picture','/Document/Picture','picture/:id',1,'document'),
('a05fa5bc-872c-4993-a696-4242883a47c6','Cloud','Cloud tool','/Provider/Root',NULL,1,NULL),
('2752d311-88d4-4391-ad1f-5498fa88910d','EmailThread','Mail','/Mail','document/:id',1,'document'),
('2a22732f-fa68-4f1e-8939-a31087e7e95b','EmailThread','Thread','/Mail/Thread','documented/:id',1,'document'),
('4c8d826a-f141-48d4-85c3-bc0d3ee45e22','Comment','Conversation','/Infrastructure/Conversation',NULL,1,'discussion'),
('ebd6f821-8746-485a-8e55-ccb79df9548c','Group','Group','/Infrastructure/Group','group/:id',1,NULL),
('7485260b-4783-419e-bf33-c9d2cf44f269','User','Contact','/Infrastructure/Contact','contact/:id',1,'person'),
('12734064-24ab-4e9c-99c0-4adda0d7777e','Workspace','Computer','/Infrastructure/Host/Computer',NULL,1,NULL),
('7f442fcc-8725-4ac8-9afd-725ecd6e00ad','Event','Calendar','/Calendar','calendar/:id',1,NULL),
('62dcea9b-1aa8-4ca3-aeb2-288660827284','Event','Event','/Calendar/Event','event/:id',1,NULL),
('9e74e0de-4a2a-49d6-bc04-243c534e1a0a','Event','Meeting','/Calendar/Meeting','meeting/:id',1,NULL),
('544f2044-d47f-414a-973b-47aa9df22c9b','Application','Tenant','/Infrastructure/Tenant',NULL,1,NULL),
('d06eed42-e77e-4bc0-a2ce-47cd6d1ed94d','Picture','Picture','/Image','image/:id',1,'document'),
('2968690e-6e91-48de-a83b-394266eb09c3','Picture','Picture','/Picture','picture/:id',1,'document'),
('08098cbe-46ab-4318-89a4-8a92f6c17ebe','Directory','Folder','/Infrastructure/Folder',NULL,1,NULL),
('da30e7cb-190b-4e48-b96a-5d55696cb041','ExternalLink','Site','/Infrastructure/Site','site/:id',1,NULL),
('902eb449-e130-49f4-9db0-f49ad0af0b31','Event','Date','/Temporal/Date',NULL,1,NULL),
('92b57d49-1233-42b2-a2b4-a18d77aba460','Task','Backlog Item','/Planning/Scrum/BacklogItem','backlogitem/:id',1,NULL),
('3baf0b2c-563b-4174-9894-b5048227f5ed','CodeFile','Code','/SourceCode/File','sourcecode/:id',1,NULL),
('68719c96-f8e7-49c7-9131-f2b1b5901c0a','Announcement','Announcement','/Announcement','announcement/:id',1,'discussion'),
('9940e3df-f0b1-444c-9d55-ae3814d0f792','Announcement','Channel','/Channel','channel/:id',1, 'discussion'),
('d5694842-1af5-4b6d-af10-1ba00790e04a','Server','Server','/Infrastructure/Host/Server',NULL,1,NULL),
('76ba4adb-2276-470d-8d54-745fd8e23eb9','Event','Month','/Temporal/Month',NULL,1,NULL),
('a7b969a4-4ac4-4b16-8e87-0b9b55840809','Database','Repository','/SourceCode/Repository','repository/:id',1,NULL),
('7e3fd609-c2eb-4f83-a520-f4028e5c5558','Task','Task','/Task','task/:id',1,NULL),
('4a6150a1-e01c-4e5e-b0c9-3f9f8de89477','News','News','/News','news/:id',1,NULL),
('677e086e-0762-4011-8e73-0d17667aaa08','List','Project','/Project','project/:id',1,NULL),
('df100ec2-dc66-4e60-9969-6c98ee7852d7','Upload','Deployment','/Deployment',NULL,1,NULL),
('d79c02fe-271c-4a4b-a49f-b665c77783d4','Comment','Discussion','/Discussion','discussion/:id',1,'discussion'),
('c18e57e7-0a36-4074-ae25-b3e65fae0894','Comment','Comment','/Comment','comment/:id',1,'discussion'),
('9865e765-d282-4a15-8b54-f0a4ff975cb2','Workspace','Workspace','/Planning/Workspace','workspace/:id',1,NULL),
('f32f765b-022c-4936-9bf1-33f82a3e3d4b','Tag','Tag','/Tag','tag/:id',1,NULL),
('1859438a-1e75-4b7f-98d1-fdb9b11486b7','Topic','Topic','/Topic','topic/:id',1,NULL),
('da1f741f-dd9f-47ba-b7be-faa304dabc8c','Note','Note','/Note','note/:id',1,NULL),
('dec3789d-549d-418a-b566-8ba235f745ee','Domain','Domain','/Infrastructure/Domain',NULL,1,NULL),
('35e2d9e8-b13c-418e-b23d-d86ce47228d5','Workspace','Laptop','/Infrastructure/Host/Laptop',NULL,1,NULL),
('30952f6f-0b7b-4cb8-871f-5fb8bfba00da','Cloud','Cloud Tool','/Infrastructure/Cloud',NULL,1,NULL),
('8634b7e7-26c3-4680-ae51-f33e6d12bc13','CompetitorOpportunity','Competitor','/Organization/Competitor',NULL,1,NULL),
('431a8424-4831-49cc-bc45-13f8dc44d360','Department','Department','/Organization/Department',NULL,1,NULL),
('817beed3-39c6-4b01-b90c-9ff04eb287a0','Gift','Product','/Product','product/:id',1,NULL),
('02f8c3db-0fa4-445a-ac94-a818d383e27f','QuestionMark','Question','/Question','question/:id',1,NULL),
('12b1fbf2-3f1c-4e14-95e0-ec7de7b2bacf','Idea','Idea','/Idea','idea/:id',1,NULL),
('5164839d-5906-422b-ac76-8c425fbbd8ac','Database','Database','/Document/Database',NULL,1,NULL),
('89539a2c-684a-4f82-8ca6-b4310659a62b','TextFile','Plain Text','/Document/PlainText','document/:id',1,'document'),
('0355900f-ac1b-476f-b9ed-4ffd2b20d228','Audio','Audio','/Document/Audio','audio/:id',1,'document'),
('66b5ca98-ff4a-435b-937b-2c3e45feb1c5','video','Video','/Document/Video','video/:id',1,'document'),
('ec93d99f-cacb-4222-b01d-9b616ba53aab','File','Template','/Document/Template',NULL,1,NULL),
('7ff900ea-f312-4eae-8876-3cabf7f7abbb','Database','Database Template','/Document/Template/Database',NULL,1,NULL),
('d61dac97-7e4d-4032-bb9b-40acfb4c7d62','File','Document Template','/Document/Template/Document',NULL,1,NULL),
('6354ada8-ed4d-4398-9f6e-696716407092','Presentation','Presentation Template','/Document/Template/Presentation',NULL,1,NULL),
('c09c9cd4-e58f-430c-a760-4874cc5e613f','Spreadsheet','Spreadsheet Template','/Document/Template/Spreadsheet',NULL,1,NULL),
('ce02a18e-367d-4c45-a91a-3ab3ce172bcf','Country','Website','/WebSite',NULL,1,NULL),
('0165a6be-d82e-4661-8ba4-792ff4643b03','ExternalLink','Web Page','/WebPage',NULL,1,NULL),
('778c3cc9-788b-4da1-b41c-c6e5edda8038','SiteMap','Diagram','/Image/Diagram',NULL,1,NULL),
('ab0e6d0f-9146-4113-b8b1-c3f3fe85f55d','CodeFile','Source Code','/SourceCode',NULL,1,NULL),
('747881ac-980e-4302-b1e1-b7d5352bd6d2','Code','Change Set','/SourceCode/Changeset',NULL,1,NULL),
('4703fe53-43bb-4829-947c-c0923967b8eb','Application','Build','/SourceCode/Build',NULL,1,NULL),
('61305070-a9ff-40e2-b28d-e5a98c4e44e0','BarChart','Project Plan','/Planning/ProjectPlan',NULL,1,NULL),
('07e71432-dc25-4f4b-a704-6237a588f619','Iteration','Iteration','/Planning/Iteration','iteration/:id',1,NULL),
('13aa4739-d03e-4641-aeb1-c7ca07032ad1','Iteration','Scrum Planning','/Planning/Scrum',NULL,1,NULL),
('35b6e9da-261b-438f-9597-c550c3de5891','Iteration','Sprint','/Planning/Scrum/Sprint',NULL,1,NULL),
('ead6df7e-a7d3-4ca0-8e09-9eb67cd05302','File','Sprint Review','/Planning/Scrum/SprintReview',NULL,1,NULL),
('d8b9d468-f896-4478-ad04-913635f8b40b','File','Sprint Retrospective','/Planning/Scrum/SprintRetrospective',NULL,1,NULL),
('a2e963b8-cb3f-4cc2-ab2c-2f1f187062dc','File','Definition of done','/Planning/Scrum/DefinitionOfDone',NULL,1,NULL),
('924b75c1-debc-4f32-aa54-e239b87a9173','User','Scrum Master','/Planning/Scrum/Role/ScrumMaster',NULL,1,NULL),
('02b23ea3-12bd-49b6-9f92-b11e13a6f3f5','User','Product Owner','/Planning/Scrum/Role/ProductOwner',NULL,1,NULL),
('ae6dd472-ec2d-4db6-924a-4de341f1c8c4','Country','Country','/Geography/Country',NULL,1,NULL),
('19cab4a2-fb99-4ccf-b559-cbe8b64a1b85','Event','Quarter','/Temporal/Quarter',NULL,1,NULL),
('4d2116aa-1b16-4287-ae7b-7cd3d9d7c6fc','Event','Week','/Temporal/Week',NULL,1,NULL),
('79b3a63d-68b5-4eaf-a549-d7261707c96c','Event','Year','/Temporal/Year',NULL,1,NULL),
('477dc3fe-508a-4775-9972-a7ea5d4642ac','Event','Decade','/Temporal/Decade',NULL,1,NULL),
('6b0671d5-1217-4c83-acbd-792041edf524','Event','Century','/Temporal/Century',NULL,1,NULL),
('6db5afb1-3f31-4d6a-9105-ca80ff8e7f9f','Event','Millennium','/Temporal/Millennium',NULL,1,NULL),
('5b5df406-78c2-4a1b-b4b6-6cb8fc0aa2a8','Picture','Photograph','/Image/Photograph','photograph/:id',1,NULL),
('d08674e2-c6c6-4952-bc7f-35e83112fb93','Issue','Issue','/Issue','issue/:id',1,'document'),
('2177c6c3-7317-452f-96f6-059c4767fe74','Alert','Issue List','/Infrastructure/List/Issue',NULL,1,'document'),
('a7737cc5-3b84-4ffb-b320-229aa854f980','City','City','/Geography/City',NULL,1,NULL),
('969d4cf8-ea0a-488b-94e4-b21e77b09eec','Pin','Location','/Infrastructure/Location',NULL,1,NULL),
('1433e324-fd5d-4d0a-b26c-53214c956692','File','Template','/Template','template/:id',1,NULL),
('707aadf6-124d-4832-a308-bd9e6c38903a','Position','Position','/Infrastructure/Position','position/:id',1,NULL),
('39f7fffe-865f-480d-92e1-00d9f3353cfe','CopyLink','Links','/Links',NULL,1,NULL),
('68f5645b-9047-4f30-812c-dd08b6a113af','Industry','Industry','/Industry','industry/:id',1,NULL),
('c70a348e-12c6-4351-9eb6-fb053997bc64','QuestionMark','FAQ','/FAQ','faq/:id',1,NULL),
('44be2a31-e3ff-4da5-ad5d-ac8b8870d104','Skill','Skill','/Skill','skill/:id',1,NULL),
('07b56ac7-cbfa-462e-a081-7fdfa4c0ee38','Code','Change Set','/SourceCode/ChangeSet','changeset/:id',1,NULL),
('4bf88cb6-9cbb-4e3e-ae3a-2c50130af51b','SourceBranch','Branch (CODE)','/SourceCode/Branch','branch/:id',1,NULL),
('b0e0dd10-62a9-43a5-90a1-d8195c0e8e11','Activity','Activity','/Activity','activity/:id',1,NULL),
('55bc51f8-f439-46ee-9e05-9d3faba3cf91','User','Sales Lead','/Sales/Lead','lead/:id',1,'person'),
('140f1480-bc69-4994-81ea-c3b1ed127c00','License','License','/Infrastructure/License',NULL,1,NULL),
('1e20d1c2-cd50-43f0-90f0-c134c9202765','List','List','/List','list/:id',1,NULL),
('d6fe308c-fc9e-4efa-b4d7-a89cecc15620','Picture','Album','/Album','album/:id',1,'document'),
('8587a24b-d563-4725-9fb0-738055036e17','CompetitorOpportunity','Sales Opportunity','/Sales/Oppurtunity','opportunity/:id',1,NULL),
('bb990308-6fec-44f0-9e07-9d325a122930','BarChart','Marketing Campaign','/Marketing/Campaign','campaign/:id',1,NULL),
('376d5136-c63a-45b1-8cb0-243c0a5e9467','TextFile','Sales Contract','/Sales/Contract','contract/:id',1,NULL),
('52b54878-dbad-4761-b201-ec71f8f6939d','SalesOrder','Sales Order','/Sales/Order','order/:id',1,NULL),
('cb49dc62-a50e-44a9-bebb-02f80bf6a8b5','ListUl','Form','/Form','form/:id',1,NULL),
('0707e858-c41a-41fb-8427-c0549683d242','Epic','Epic','/Planning/Scrum/Epic','epic/:id',1,NULL),
('aa582708-6d2d-47ae-a202-ef139f5fcff5','Position','Sales Deal','/Sales/Deal','deal/:id',1,NULL),
('261863db-af67-41c4-af7d-2313b8c5d931','Report','Report','/Document/Report',NULL,1,NULL),
('b7ea83af-f322-4526-a55a-3c3f5ef97802','SalesOrder','Sales Quote','/Sales/Quote','quote/:id',1,NULL),
('e3c35d9a-f70b-469d-8d30-5db3d0bb93b8','Deployment','Deployment','/SourceCode/Deployment','deployment/:id',1,NULL),
('18c5fa93-387c-41a4-9647-c94e09a94c8a','Position','Sale','/Sales/Sale','sale/:id',1,NULL),
('68a0d140-11a5-4193-a81c-de3846c2c134','Process','Account','/Account','account/:id',1,NULL),
('2e477772-ea70-4382-b644-2fb4e5aa4c9a','QuestionMark','Survey','/Infrastructure/List/Survey','survey/:id',1,NULL),
('bfd978cb-b11c-416e-90f0-6cf4dac303b8','Comment','Social Comment','/Comment/Social','socialcomment/:id',1,NULL),
('ee5a5f20-f21c-4c04-8224-f4b67c409fbe','List','Generic List','/Infrastructure/List/GenericList','genericlist/:id',1,NULL),
('8c5a75ec-ddf7-4409-be5a-481f196c6559','Event','Kanban Board','/Planning/KanbanBoard','kanban/:id',1,NULL),
('4be33696-c485-41a6-a76f-60fbf4829d64','FileArchive','Archive','/Files/CompressedFileArchive','archive/:id',1,NULL),
('2b985710-9d26-4d99-8ac7-b754893fc802','ListUl','Document Library','/Infrastructure/List/DocumentLibrary','documentlibrary/:id',1,NULL),
('b49c3247-7ec6-450e-b47f-030658a09394','Application','Application','/Infrastructure/Application','application/:id',1,NULL),
('5ca15243-7b4c-4292-9968-5edf2bb157b7','User','Persona','/Marketing/Persona',NULL,1,NULL),
('aab512bd-1cf8-4dd1-a830-8a04ea17e9a4','SourceBranch','Pull Request','/SourceCode/PullRequest',NULL,1,NULL),
('e304f1b1-4595-44ce-9313-ae17e9f01a75','Process','Process','/Process',NULL,1,NULL),
('e28985d8-e0a1-4a59-9dd2-fb97f348cb83','Report','Marketing Ad','/Marketing/Ad',NULL,1,NULL),
('6a2e3a74-fc1e-49a8-9acb-5b9a97155af1','User','Partner','/Partner',NULL,1,NULL),
('d74d27a2-3cf6-47df-94cc-ee44422b1a69','Phone','Phone number','/PhoneNumber',NULL,1,NULL),
('fb8def1a-0326-4499-8f9e-b87b16b1dfd7','Directory','Mail Folder','/Mail/Folder','mailbox/:id',1,NULL),
('6c5576d2-208f-4cad-9133-5afec0da64ec','Clock','Unknown','/Unknown','unknown/:id',1,NULL),
('c7ecf68d-c55f-4199-88f7-9e180d78e2bd','Position','Sales Opportunity','/Sales/Opportunity','salesopportunity/:id',1,NULL),
('81893e59-9b60-4ed1-b6e5-9216ead4f148','Phone','Phone Call','/PhoneCall','phonecall/:id',1,NULL),
('c16810ea-e201-47a9-936f-63eddafd94ec','Diagram','Diagram','/Document/Diagram',NULL,1,NULL),
('caad2a26-d7a5-41e0-9add-45cf694dbb5d','List','List Item','/List/ListItem',NULL,1,NULL),
('f58c0b2f-8e77-410d-9287-b5627b117fda','Website','WebPage','/Web/Page','webpage/:id',1,NULL),
('b6ad2102-f6bf-432c-abf8-923dc634a6d0','Phone','Sms','/Sms','sms/:id',1,NULL)
)
AS Source (Id, Icon, DisplayName, Type, Route, Active, LayoutConfiguration)
ON Target.Id = Source.Id
--
WHEN MATCHED THEN
UPDATE SET
Icon = Source.Icon,
DisplayName = Source.DisplayName,
Type = Source.Type,
Route = Source.Route,
Active = Source.Active
-- LayoutConfiguration = Source.LayoutConfiguration
--
WHEN NOT MATCHED BY TARGET THEN
INSERT (Id, Icon, DisplayName, Type, Route, Active, LayoutConfiguration)
VALUES (Id, Icon, DisplayName, Type, Route, Active, LayoutConfiguration)
--
WHEN NOT MATCHED BY SOURCE THEN
DELETE;
GO

GO
PRINT N'Checking existing data against newly created constraints';


GO
USE [$(DatabaseName)];


GO
ALTER TABLE [dbo].[GlossaryRating] WITH CHECK CHECK CONSTRAINT [FK_GlossaryRating_UserId];

ALTER TABLE [dbo].[GlossaryRating] WITH CHECK CHECK CONSTRAINT [FK_GlossaryRating_GlossaryTerm];

ALTER TABLE [dbo].[DuplicateDetectionProjectRule] WITH CHECK CHECK CONSTRAINT [FK_DuplicateDetectionProjectRule_DuplicateDetectionProject];

ALTER TABLE [dbo].[DuplicateDetectionProjectRuleVocabularyKey] WITH CHECK CHECK CONSTRAINT [FK_DuplicateDetectionProjectRuleVocabularyKey_DuplicateDetectionProjectRule];

ALTER TABLE [dbo].[TaskOwners] WITH CHECK CHECK CONSTRAINT [FK_TaskOwners_Tasks];

ALTER TABLE [dbo].[TasksApproval] WITH CHECK CHECK CONSTRAINT [FK_TasksApproval_Tasks];

ALTER TABLE [dbo].[TasksCleanProject] WITH CHECK CHECK CONSTRAINT [FK_TasksCleanProject_Tasks];

ALTER TABLE [dbo].[TasksDuplicate] WITH CHECK CHECK CONSTRAINT [FK_TasksDuplicate_Tasks];

ALTER TABLE [dbo].[TasksMesh] WITH CHECK CHECK CONSTRAINT [FK_TasksMesh_Tasks];

ALTER TABLE [dbo].[TasksRoleRequest] WITH CHECK CHECK CONSTRAINT [FK_TaskRoleRequest_Tasks];

ALTER TABLE [dbo].[GlossaryCategory] WITH CHECK CHECK CONSTRAINT [FK_GlossaryCategory_GlossaryCategory];


GO
PRINT N'Update complete.';


GO
